import java.util.List;
import java.util.LinkedList;

public class Alphabet {

    private int _current = 0;

    private List _letters = new LinkedList();

    public Alphabet() {
        for (int i = 0; i < 26; i++) {
            char c = (char)('a' + i);
            _letters.add(new Letter(c));
        }
    }

    public Letter nextLetter() {
        if (_current == 26) {
            _current = 0;
        }
        return (Letter)_letters.get(_current++);
    }

    public void reset() {
        _current = 0;
    }
}
